[arch-commits] CVS update of extra/lib/libwnck (4 files)

Jan de Groot jgc at archlinux.org
Sun Apr 22 10:57:39 EDT 2007


    Date: Sunday, April 22, 2007 @ 10:57:39
  Author: jgc
    Path: /home/cvs-extra/extra/lib/libwnck

   Added: bgo428056.patch (1.1) wm-above.patch (1.1)
          wnck-window-gravity-static.patch (1.1)
Modified: PKGBUILD (1.30 -> 1.31)

upgpkg: libwnck 2.18.0-2


----------------------------------+
 PKGBUILD                         |   24 +++++++++++++++---------
 bgo428056.patch                  |   20 ++++++++++++++++++++
 wm-above.patch                   |   27 +++++++++++++++++++++++++++
 wnck-window-gravity-static.patch |   12 ++++++++++++
 4 files changed, 74 insertions(+), 9 deletions(-)


Index: extra/lib/libwnck/PKGBUILD
diff -u extra/lib/libwnck/PKGBUILD:1.30 extra/lib/libwnck/PKGBUILD:1.31
--- extra/lib/libwnck/PKGBUILD:1.30	Mon Mar 19 15:00:37 2007
+++ extra/lib/libwnck/PKGBUILD	Sun Apr 22 10:57:38 2007
@@ -1,23 +1,29 @@
-# $Id: PKGBUILD,v 1.30 2007/03/19 19:00:37 jgc Exp $
-# Maintainer: dorphell <dorphell at archlinux.org>
+# $Id: PKGBUILD,v 1.31 2007/04/22 14:57:38 jgc Exp $
+# Maintainer: Jan de Groot  <jgc at archlinux.org>
 pkgname=libwnck
 pkgver=2.18.0
-pkgrel=1
+pkgrel=2
 pkgdesc="Window Navigator Construction Kit"
 arch=(i686 x86_64)
+license=('LGPL')
 depends=('gtk2>=2.10.11' 'startup-notification>=0.9' 'libxres')
 makedepends=('pkgconfig' 'perlxml')
 options=('nolibtool')
-license=(GPL)
 url="http://www.gnome.org/"
-source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2 \
-        http://www.compiz.info/patches/libwnck/04_libwnck_above.patch)
-md5sums=('9b02dea0448a28d73b46a1e8c6eab3d5' '24a0e85b93d74b1368fffb1bbe452709')
+source=(http://ftp.gnome.org/pub/gnome/sources/${pkgname}/2.18/${pkgname}-${pkgver}.tar.bz2
+	bgo428056.patch
+	wm-above.patch
+	wnck-window-gravity-static.patch)
+md5sums=('9b02dea0448a28d73b46a1e8c6eab3d5' '3407b72dde5bc71c822b5e203f9ec52f'
+         '5b48b96984b21aa83d4ed22595df8f83' '21426428f7ace3f259646c4519908c7f')
 
 build() {
   cd ${startdir}/src/${pkgname}-${pkgver}
-  patch -Np1 -i ${startdir}/src/04_libwnck_above.patch || return 1
-  ./configure --prefix=/usr --disable-static
+  patch -Np1 -i ${startdir}/src/wnck-window-gravity-static.patch
+  patch -Np1 -i ${startdir}/src/bgo428056.patch || return 1
+  patch -Np1 -i ${startdir}/src/wm-above.patch || return 1
+  ./configure --prefix=/usr --sysconfdir=/etc \
+              --localstatedir=/var --disable-static
   make || return 1
   make DESTDIR=${startdir}/pkg install
 }
Index: extra/lib/libwnck/bgo428056.patch
diff -u /dev/null extra/lib/libwnck/bgo428056.patch:1.1
--- /dev/null	Sun Apr 22 10:57:39 2007
+++ extra/lib/libwnck/bgo428056.patch	Sun Apr 22 10:57:39 2007
@@ -0,0 +1,20 @@
+--- trunk/libwnck/xutils.c	2007/04/09 23:28:37	1202
++++ trunk/libwnck/xutils.c	2007/04/10 11:33:19	1203
+@@ -245,11 +245,13 @@
+                                           &list);
+ 
+   if (count == 0)
+-    return NULL;
++    retval = NULL;
++  else
++    {
++      retval = list[0];
++      list[0] = g_strdup (""); /* something to free */
++    }
+ 
+-  retval = list[0];
+-  list[0] = g_strdup (""); /* something to free */
+-  
+   g_strfreev (list);
+ 
+   return retval;
Index: extra/lib/libwnck/wm-above.patch
diff -u /dev/null extra/lib/libwnck/wm-above.patch:1.1
--- /dev/null	Sun Apr 22 10:57:39 2007
+++ extra/lib/libwnck/wm-above.patch	Sun Apr 22 10:57:39 2007
@@ -0,0 +1,27 @@
+--- trunk/libwnck/window.c	2007/04/10 11:33:19	1203
++++ trunk/libwnck/window.c	2007/04/11 17:39:59	1204
+@@ -2188,6 +2188,12 @@
+       else if (atoms[i] == _wnck_atom_get ("_NET_WM_ACTION_FULLSCREEN"))
+         window->priv->actions |= WNCK_WINDOW_ACTION_FULLSCREEN;
+ 
++      else if (atoms[i] == _wnck_atom_get ("_NET_WM_ACTION_ABOVE"))
++        window->priv->actions |= WNCK_WINDOW_ACTION_ABOVE;
++
++      else if (atoms[i] == _wnck_atom_get ("_NET_WM_ACTION_BELOW"))
++        window->priv->actions |= WNCK_WINDOW_ACTION_BELOW;
++
+       else
+         {
+           const char *name = _wnck_atom_name (atoms [i]);
+--- trunk/libwnck/window.h	2007/04/10 11:33:19	1203
++++ trunk/libwnck/window.h	2007/04/11 17:39:59	1204
+@@ -67,7 +67,8 @@
+   WNCK_WINDOW_ACTION_MAXIMIZE                = 1 << 14,
+   WNCK_WINDOW_ACTION_UNMAXIMIZE              = 1 << 15,
+   WNCK_WINDOW_ACTION_FULLSCREEN              = 1 << 16,
+-  WNCK_WINDOW_ACTION_ABOVE                   = 1 << 17
++  WNCK_WINDOW_ACTION_ABOVE                   = 1 << 17,
++  WNCK_WINDOW_ACTION_BELOW                   = 1 << 18
+ } WnckWindowActions;
+ 
+ typedef enum
Index: extra/lib/libwnck/wnck-window-gravity-static.patch
diff -u /dev/null extra/lib/libwnck/wnck-window-gravity-static.patch:1.1
--- /dev/null	Sun Apr 22 10:57:39 2007
+++ extra/lib/libwnck/wnck-window-gravity-static.patch	Sun Apr 22 10:57:39 2007
@@ -0,0 +1,12 @@
+--- trunk/libwnck/window.h	2007/04/07 23:06:19	1201
++++ trunk/libwnck/window.h	2007/04/09 23:28:37	1202
+@@ -94,7 +94,8 @@
+   WNCK_WINDOW_GRAVITY_EAST      = 6,
+   WNCK_WINDOW_GRAVITY_SOUTHWEST = 7,
+   WNCK_WINDOW_GRAVITY_SOUTH     = 8,
+-  WNCK_WINDOW_GRAVITY_SOUTHEAST = 9
++  WNCK_WINDOW_GRAVITY_SOUTHEAST = 9,
++  WNCK_WINDOW_GRAVITY_STATIC    = 10
+ } WnckWindowGravity;
+ 
+ typedef enum




More information about the arch-commits mailing list